The everyday apps the person can connect for Workbot
curl --request GET \
--url https://api.openworklabs.com/v1/workbot/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/workbot/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/workbot/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connections": [
{
"id": "<string>",
"name": "<string>",
"app": "gmail",
"ready": true,
"connectUrl": "<string>"
}
]
}{
"error": "unauthorized"
}{
"error": "<string>",
"message": "<string>"
}Workbot
The everyday apps the person can connect for Workbot
For the Workbot app only. The Gmail or Google Workspace, Slack and Microsoft 365 connections the organization’s admins set up and this member may use, with whether each is ready for them, and where in Den they connect their own account.
GET
/
v1
/
workbot
/
connections
The everyday apps the person can connect for Workbot
Was this page helpful?